\exo{}
\q Soit $ \psi : \N^* \to \R$ une fonction. On pose, pour tout $1 \leq i,j \leq n$, 
\begin{equation*}
  a_{i,j} = \sum_{k | i \text{ et } k |j} {\psi(k)}
\end{equation*}
Montrer que $\det((a_{i,j})_{1 \leq i,j \leq n}) = \psi(1) \ldots \psi(n)$.
\q
\subq On note $\varphi$ l'indicatrice d'euler, c'est à dire $\varphi(n) = |\{ 1\leq m\leq n , m\land n = 1\}|$. En considérant $f : \{1,\ldots,n\} \to D_n = \{d, d|n\} , k \mapsto n \land k$, en déduire que $\sum_{d | n }\varphi(d) = n$. 
\subq (Application) Calculer $\det ((i\land j)_{1 \leq i,j\leq n}$ où $i \land j= \text{pgcd}(i,j)$.





\ifwithcorrection \correction 


\fi
